package cn.timer.api.controller.disk.sevice;

import cn.timer.api.bean.disk.DiskCatalogue;
import cn.timer.api.bean.disk.DiskCatalogueFiles;
import cn.timer.api.bean.disk.DiskFiles;
import cn.timer.api.dao.disk.DiskCatalogueMapper;
import cn.timer.api.dao.disk.DiskFilesMapper;
import cn.timer.api.dto.disk.DiskCatalogueParam;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/29
 */
@Service
public class DiskFilesServiceImpl implements DiskFilesService {

    @Resource
    private DiskFilesMapper diskFilesMapper;


    @Override
    public List<DiskFiles> getDiskFiles(DiskCatalogueParam diskCatalogueParam) {
        return diskFilesMapper.selectListByParam(diskCatalogueParam);
    }
}
